Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
wowf.models.tokens.Token Class Reference
Inheritance diagram for wowf.models.tokens.Token:
Collaboration diagram for wowf.models.tokens.Token:

## Public Member Functions
def | user_id
def | user
def | __init__
def | __unicode__
def | create
def | get_by_token
def | delete_expired
def | is_valid

## Public Attributes
| user
| expires_at

## Static Public Attributes
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | token = Column(CHAR(36), nullable=False, unique=True, default=lambda: str(uuid.uuid4()))
tuple | created_at = Column(DateTime, nullable=False, default=current_timestamp)
tuple | expires_at = Column(DateTime, nullable=False)

## Detailed Description

Definition at line 12 of file tokens.py.

## Constructor & Destructor Documentation

def wowf.models.tokens.Token.__init__ | ( |  | self,
|  |  | user,
|  |  | lifetime
| ) |  |

Definition at line 29 of file tokens.py.

## Member Function Documentation

def wowf.models.tokens.Token.__unicode__ | ( |  | self | ) |

Definition at line 33 of file tokens.py.

def wowf.models.tokens.Token.create | ( |  | cls,
|  |  | user,
|  |  | lifetime
| ) |  |

Definition at line 37 of file tokens.py.

def wowf.models.tokens.Token.delete_expired | ( |  | cls | ) |

Definition at line 45 of file tokens.py.

def wowf.models.tokens.Token.get_by_token | ( |  | cls,
|  |  | token
| ) |  |

Definition at line 41 of file tokens.py.

def wowf.models.tokens.Token.is_valid | ( |  | self | ) |

Reimplemented in wowf.models.tokens.InviteToken.

Definition at line 48 of file tokens.py.

def wowf.models.tokens.Token.user | ( |  | cls | ) |

Definition at line 26 of file tokens.py.

def wowf.models.tokens.Token.user_id | ( |  | cls | ) |

Definition at line 20 of file tokens.py.

## Member Data Documentation

tuple wowf.models.tokens.Token.created_at = Column(DateTime, nullable=False, default=current_timestamp)
| static

Definition at line 16 of file tokens.py.

tuple wowf.models.tokens.Token.expires_at = Column(DateTime, nullable=False)
| static

Definition at line 17 of file tokens.py.

wowf.models.tokens.Token.expires_at

Definition at line 31 of file tokens.py.

tuple wowf.models.tokens.Token.id = Column(Integer(unsigned=True), primary_key=True)
| static

Definition at line 14 of file tokens.py.

tuple wowf.models.tokens.Token.token = Column(CHAR(36), nullable=False, unique=True, default=lambda: str(uuid.uuid4()))
| static

Definition at line 15 of file tokens.py.

wowf.models.tokens.Token.user

Definition at line 30 of file tokens.py.

The documentation for this class was generated from the following file:

- wowf/models/tokens.py